Bug 107662 - cpufreq on Athlon XP-M does not function.
cpufreq on Athlon XP-M does not function.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 15:56 EDT by rob versluis
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 11:25:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rob versluis 2003-10-21 15:56:30 EDT
Description of problem:
Acpi and cpufreq won't do their job on an Athlon XP-M; the coolervan blows at
topspeed because the cpu runs at topspeed too. 

Version-Release number of selected component (if applicable):


How reproducible:
Always after boot.

Steps to Reproduce:
1. Boot system.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 rob versluis 2003-10-21 15:57:50 EDT
Tested on a HP-Compaq nx9005.
Comment 2 Dave Jones 2003-10-21 17:56:25 EDT
acpi - You need to boot with acpi=on (you didn't specify whether you did this or
not), and also need recent initscripts so that the relevant modules get loaded.

cpufreq - the kernel doesn't actually do anything other than provide an
interface to userspace. You can adjust the speed using /proc/cpufreq
Comment 3 rob versluis 2003-10-24 01:28:41 EDT
I booted the system with acpi=on.
cat /proc/cpufreq has no dataline. If I "echo %0%40%100powersave >
/proc/cpufreq" and do the cat again no new dataline is added.

cat /proc/cpuinfo shows:

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : mobile AMD Athlon(tm) XP2400+
stepping        : 0
cpu MHz         : 1788.873
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca
cmov pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow
bogomips        : 3565.15
Comment 4 Dave Jones 2003-10-27 10:32:32 EST
what does /proc/cpufreq show ?

Comment 5 rob versluis 2003-10-27 11:01:37 EST
[rob@mars rob]$ cat /proc/cpufreq
          minimum CPU frequency  -  maximum CPU frequency  -  policy
[rob@mars rob]$
Comment 6 Dave Jones 2003-10-27 11:17:33 EST
You don't have the powernow-k7 module loaded.
Comment 7 rob versluis 2003-10-27 13:06:33 EST
The powernow-k7 module shows up at /sbin/lsmod...
Comment 8 David Martos 2003-11-08 08:56:29 EST
If I use the command echo -n "0:50%90%powersave" >/proc/cpufreq it
does nothing, but using : instead of % and Khz instead of percentages
it works.
Comment 9 Dave Jones 2004-11-29 04:15:54 EST
still a problem in fc2/fc3 ?
Comment 10 rob versluis 2004-11-29 04:30:39 EST
With fc3 everything is OK.

Note You need to log in before you can comment on or make changes to this bug.